{% extends "layout.html" %}
{% set active_page = "dashboard" %}
{% block body %}
<h1 class="headersy">List of open merges for "{{user}}"</h1>
{% block mergeRequests %}
	{% if len(open_merges) > 0 %}
	<div class="table-content">
	<table class="styled-table"> 
	<thead>
		<tr>
			<th>Project Name</th>
			<th>Source Branch</th>
			<th>Target Branch</th>
			<th>Title</th>
		</tr>
	</thead>
	<tbody>
	{% for mergeRequest in open_merges %}
		<tr>
			<td>{{mergeRequest['projectName']}}</td>
			<td>{{mergeRequest['sourceBranch']}}</td>
			<td>{{mergeRequest['targetBranch']}}</td>
			<td>{{mergeRequest['mrTitle']}}</td>
		</tr>
		<tr>
			<td colspan="4"><a href="{{mergeRequest["mrUrl"]}}" target="_blank">{{mergeRequest["mrUrl"]}}</a></td>
		</tr>
	{% endfor %}
	{% else %}
		<h2>No Presently Open Merge Requests</h2>
	{% endif %}
	</tbody>
	</table>
{% endblock mergeRequests %}
{% endblock %}
